uk.ac.starlink.votable

## Class ParamRefElement

- java.lang.Object
- - uk.ac.starlink.votable.dom.DelegatingNode
  - - uk.ac.starlink.votable.dom.DelegatingElement
    - - uk.ac.starlink.votable.VOElement
      - - uk.ac.starlink.votable.ParamRefElement

- All Implemented Interfaces:
    org.w3c.dom.Element, org.w3c.dom.Node

      public class ParamRefElement
      extends VOElement

  Object representing a PARAMref element.
  Since:
    16 Sep 2004

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParamElement` | `getParam()` Returns the PARAM element referenced by this PARAMref.
    `java.lang.String` | `getUcd()` Returns the value of the `ucd` attribute, or `null` if there is none.
    `java.lang.String` | `getUtype()` Returns the value of the `utype` attribute, or `null` if there is none.

    - ### Methods inherited from class uk.ac.starlink.votable.VOElement

      `getChildByName, getChildren, getChildrenByName, getDescription, getElementsByVOTagName, getElementSequence, getHandle, getID, getName, getParent, getReferencedElement, getSystemId, getVOTagName, toString`

    - ### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingElement

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingNode

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### getParam

          public ParamElement getParam()

      Returns the PARAM element referenced by this PARAMref. If this element has no ref attribute, or if it doesn't refer to a PARAM element (neither of which ought to happen for a sensible document) then null is returned.
      Returns:
        referent PARAM

    - #### getUcd

          public java.lang.String getUcd()

      Returns the value of the `ucd` attribute, or `null` if there is none. Note that (since VOTable 1.2) this may differ from the ucd of the referenced PARAM.
      Returns:
        the ucd string
      See Also:
        `UCD`

    - #### getUtype

          public java.lang.String getUtype()

      Returns the value of the `utype` attribute, or `null` if there is none. Note that (since VOTable 1.2) this may differ from the utype of the referenced PARAM.
      Returns:
        the utype string